

(define texinfo-lexer-table 
  (make-lexer-table begin-expand: "%(" end-expand: ")s" 
		    compile: #t))

(define texinfo-std-env
  (template-std-env lexer-table: texinfo-lexer-table))

(define copying 
  (statements-from-string texinfo-std-env
#<<EOF
@quotation
%(project)s %(release)s, %(date)s

%(author)s

Copyright @copyright{} %(copyright)s
@end quotation
EOF
))

(define main-template 
  (statements-from-string texinfo-std-env
#<<EOF
\\input texinfo   @c -*-texinfo-*-
@c %%**start of header
@setfilename %(filename)s
@documentencoding UTF-8
@ifinfo
@*Generated by Ersatz (http://www.call-cc.org/eggref/4/ersatz)@*
@end ifinfo
@settitle %(title)s
@defindex ge
@paragraphindent %(paragraphindent)s
@exampleindent %(exampleindent)s
@afourlatex
%(direntry)s
@c %%**end of header

@copying
%(copying)s
@end copying

@titlepage
@title %(title)s
@insertcopying
@end titlepage
@contents

@ifnottex
@node Top
@top %(title)s
@insertcopying
@end ifnottex

@c %%**start of body
%(body)s
@c %%**end of body
@bye

EOF
))

